% Julie Sandberg
% Aero 624 Celestial Mechanics
% Final Project
% This function solves Kepler's equation for the eccentric anomaly E that
% corresponds to a given mean anomaly M and eccentricity e

function E = Kepler(e,M)

E=M;

for m=1:20
    f=M-(E-e*sin(E));
    fp=-(1-e*cos(E));
    E=E-f/fp;
end